import { createRouter, createWebHashHistory } from 'vue-router'
import Home from '../components/UeVideo.vue'
import Login from '../components/Login.vue'
import { getvalidateLogin } from '../request/api'

const routes = [

  {
    path: '/',
    name: 'Home',
    component: Home
  },
  {
    path: '/login',
    name: 'Login',
    component: Login
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})


router.beforeEach(function (to, from, next) {

  let urlA = location.href.indexOf('ticket')
  if (urlA == -1) {
    if (to.path == '/') {
      return next('/login')
    }
  } else {
    const url = window.location.href;
    const paramStr = url.split("?")[1].split("#")[0];
    console.log('sadasd' ,paramStr);
    let query = {
      casLoginUrl: "https://cas.huanghuai.edu.cn/cas/serviceValidate?" + paramStr + '&service=weizhi.huanghuai.edu.cn/xyyzioc/#/'
    }
    console.log('aslddddd',query);
    getvalidateLogin(query).then(res => {
      console.log('yzzzzzzz',res);

      if (res.code == -1) {
        window.location.href='https://weizhi.huanghuai.edu.cn/xyyzioc/#/login'
      }

    })

  }
  next()
})

export default router
